Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::IDs_var Class Reference

`#include <PortableServerC.h>`

List of all members.

## Public Methods
| IDs_var (void)
| IDs_var (IDs *)
| IDs_var (const IDs_var &)
| ~IDs_var (void)
IDs_var & | operator= (IDs *)
IDs_var & | operator= (const IDs_var &)
IDs * | operator-> (void)
const IDs * | operator-> (void) const
| operator const IDs & () const
| operator IDs & ()
| operator IDs & () const
| operator IDs *& ()
ObjectId & | operator[] (CORBA::ULong index)
const ObjectId & | operator[] (CORBA::ULong index) const
const IDs & | in (void) const
IDs & | inout (void)
IDs *& | out (void)
IDs * | _retn (void)
IDs * | ptr (void) const
## Private Attributes
IDs * | ptr_

## Constructor & Destructor Documentation

PortableServer::IDs_var::IDs_var | ( | void |  | ) |

PortableServer::IDs_var::IDs_var | ( | IDs * |  | ) |

PortableServer::IDs_var::IDs_var | ( | const IDs_var & |  | ) |

PortableServer::IDs_var::~IDs_var | ( | void |  | ) |

## Member Function Documentation

IDs* PortableServer::IDs_var::_retn | ( | void |  | ) |

const IDs& PortableServer::IDs_var::in | ( | void |  | ) | const

IDs& PortableServer::IDs_var::inout | ( | void |  | ) |

PortableServer::IDs_var::operator const IDs & | ( |  | ) | const

PortableServer::IDs_var::operator IDs & | ( |  | ) | const

PortableServer::IDs_var::operator IDs & | ( |  | ) |

PortableServer::IDs_var::operator IDs *& | ( |  | ) |

const IDs* PortableServer::IDs_var::operator-> | ( | void |  | ) | const

IDs* PortableServer::IDs_var::operator-> | ( | void |  | ) |

IDs_var& PortableServer::IDs_var::operator= | ( | const IDs_var & |  | ) |

IDs_var& PortableServer::IDs_var::operator= | ( | IDs * |  | ) |

const ObjectId& PortableServer::IDs_var::operator[] | ( | CORBA::ULong | index | ) | const

ObjectId& PortableServer::IDs_var::operator[] | ( | CORBA::ULong | index | ) |

IDs*& PortableServer::IDs_var::out | ( | void |  | ) |

IDs* PortableServer::IDs_var::ptr | ( | void |  | ) | const

## Member Data Documentation

IDs* PortableServer::IDs_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- PortableServerC.h